Page 1 of 2 1 2 LastLast
Results 1 to 20 of 27

Thread: httpd-devel on Centos 5.6

  1. #1
    Kilo Poster
    Join Date
    Apr 2010
    Posts
    64

    Unhappy httpd-devel on Centos 5.6

    Hi,

    i wanted to install httpd-devel on centos 5.6 with plesk 10.2
    yum says:


    httpd-devel-2.2.3-45.el5.centos.1.i386 from updates has depsolving problems
    --> Missing Dependency: httpd = 2.2.3-45.el5.centos.1 is needed by package httpd-devel-2.2.3-45.el5.centos.1.i386 (updates)
    httpd-devel-2.2.17-jason.1.x86_64 from utterramblings has depsolving problems
    --> Missing Dependency: httpd = 2.2.17-jason.1 is needed by package httpd-devel-2.2.17-jason.1.x86_64 (utterramblings)
    Error: Missing Dependency: httpd = 2.2.17-jason.1 is needed by package httpd-devel-2.2.17-jason.1.x86_64 (utterramblings)
    Error: Missing Dependency: httpd = 2.2.3-45.el5.centos.1 is needed by package httpd-devel-2.2.3-45.el5.centos.1.i386 (updates)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest

    Is there any possibility to get the httpd-devel-2.2.12 from parallels, 'cause i need apxs2 binary.

    thanks,

    patrick



  2. #2
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638



  3. #3
    Kilo Poster
    Join Date
    Apr 2010
    Posts
    64

    Default nice but not admissible

    hi Igor,

    so if I strictly have to use httpd-2.2.12, then please ship it with httpd-devel. What about, if someone has to
    build custom apache modul for his plesk server?
    please provide the httpd-devel package!

    Thanks,

    Patrick



  4. #4
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Did you try install httpd-devel-2.2.12 from CentOS repository?



  5. #5
    Kilo Poster
    Join Date
    Apr 2010
    Posts
    64

    Default tried

    hi,

    yes but httpd-2.2.12 is not from centos repository. centos repo provides a lower version of httpd and httpd-devel.

    greetz
    patrick



  6. #6
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638



  7. #7
    Kilo Poster
    Join Date
    Apr 2010
    Posts
    64

    Default thanks, but not working

    hi,

    rpm -ihv httpd-devel-2.2.12-2.el5.x86_64.rpm
    error: Failed dependencies:
    apr-devel is needed by httpd-devel-2.2.12-2.el5.x86_64
    apr-util-devel is needed by httpd-devel-2.2.12-2.el5.x86_64
    httpd = 2.2.12-2.el5 is needed by httpd-devel-2.2.12-2.el5.x86_64
    [root@srv7 ~]# rpm -qa httpd


    again dependency problems.
    maybe your operating stuff will test it and offer the needed packages?
    this would be fine.

    thanks
    patrick



  8. #8
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Please fill this form with all details - http://forum.parallels.com/showthread.php?t=106113
    I will forward it to developers.



  9. #9
    Kilo Poster
    Join Date
    Apr 2010
    Posts
    64

    Default bugreport

    ---------------------------------------------------------------
    Plesk, 10.2 , Centos 5.6 , x86_64

    Can not install httpd-devel, in fact of dependency problems

    ACTUAL RESULT: Dependency Error

    EXPECTED RESULT: usable apxs2 binary for building own apache modules.

    ANY ADDITIONAL INFORMATION : no
    --------------------------------------------------------------



  10. #10
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Thank you. I have forwarded it to developers. I will update thread with results as soon as I receive it.



  11. #11
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Use attached packages

    # yum install apr-devel apt-util-devel
    - is required before httpd-devel installation.
    Attached Files Attached Files



  12. #12

    Default

    Is there a mysql-devel available yet for the Plesk mysql 5.1 package?



  13. #13
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Mysql is not Parallels package but OS vendor's package:
    # rpm -qi mysql | grep Vendor
    Version : 5.0.77 Vendor: CentOS
    Therefore use OS vendor repository for installing mysql-devel.



  14. #14

    Default

    Quote Originally Posted by IgorG View Post
    Mysql is not Parallels package but OS vendor's package:


    Therefore use OS vendor repository for installing mysql-devel.
    Really, what would you call this that was installed as part of 10.2?

    Code:
    # rpm -qi mysql-server
    Name        : mysql-server                 Relocations: (not relocatable)
    Version     : 5.1.52                            Vendor: Parallels
    Release     : 11053110                      Build Date: Mon 30 May 2011 11:33:47 PM EDT
    Install Date: Thu 14 Jul 2011 01:40:05 AM EDT      Build Host: brhas5x64.plesk.ru
    Group       : Applications/Databases        Source RPM: mysql-5.1.52-11053110.src.rpm
    Size        : 27643933                         License: GPLv2 with exceptions
    Signature   : (none)
    Packager    : Parallels <info@parallels.com>
    Summary     : The MySQL server and related files.
    Description :
    MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
    client/server implementation consisting of a server daemon (mysqld)
    and many different client programs and libraries. This package contains
    the MySQL server and some accompanying files and directories.
    As I said before, the Plesk bundled version of MySQL has no mysql-devel package.



  15. #15
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    What is OS?
    For example, for CentOS 5 Plesk 10.2 you can find mysql-devel here - http://64.131.90.31/PSA_10.2.0/updat...CentOS-5-i386/



  16. #16

    Default

    Quote Originally Posted by IgorG View Post
    What is OS?
    For example, for CentOS 5 Plesk 10.2 you can find mysql-devel here - http://64.131.90.31/PSA_10.2.0/updat...CentOS-5-i386/
    Does not appear to be a mysql-devel-5.1 package there.



  17. #17
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Hmm... Not sure where you have found 5.1 version compiled by Parallels. What is OS version?



  18. #18

    Default

    Quote Originally Posted by IgorG View Post
    Hmm... Not sure where you have found 5.1 version compiled by Parallels. What is OS version?
    The information I quoted is the mysql-server package installed by the Plesk installer for 10.2 and 10.3 on CentOS 5 x86_64.



  19. #19
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    14,638

    Default

    Plesk 10.3 CentOS 5_x64 - http://64.131.90.31/PSA_10.3.0/updat...ntOS-5-x86_64/

    mysql-5.0.77-4.el5_6.6.i386.rpm
    mysql-5.0.77-4.el5_6.6.x86_64.rpm
    mysql-bench-5.0.77-4.el5_6.6.x86_64.rpm
    mysql-connector-odbc-3.51.26r1127-1.el5.x86_64.rpm
    mysql-devel-5.0.77-4.el5_6.6.i386.rpm
    mysql-devel-5.0.77-4.el5_6.6.x86_64.rpm
    mysql-server-5.0.77-4.el5_6.6.x86_64.rpm
    mysql-test-5.0.77-4.el5_6.6.x86_64.rpm

    We haven't devel for 5.1 version. Use default if you need devel or fill form and I will submit request for devel for 5.1 version.



  20. #20
    Product Expert
    Join Date
    Jul 2007
    Location
    Seattle Area
    Posts
    1,370

    Default

    wget -O - http://www.atomicorp.com/installers/atomic | sh

    install that and then afterwards

    yum -y upgrade mysql

    then yum -y install mysql-devel

    will work for you
    Parallels Certified Automation Professional - Parallels Plesk for Linux (PCAP PPP Linux)
    Parallels Product Expert



Page 1 of 2 1 2 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •